import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ActionsRunnerGroupConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/actions_runner_group#name ActionsRunnerGroup#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/actions_runner_group#selected_repository_ids ActionsRunnerGroup#selected_repository_ids}
    */
    readonly selectedRepositoryIds?: number[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/actions_runner_group#visibility ActionsRunnerGroup#visibility}
    */
    readonly visibility: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/actions_runner_group github_actions_runner_group}
*/
export declare class ActionsRunnerGroup extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_actions_runner_group";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/actions_runner_group github_actions_runner_group} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ActionsRunnerGroupConfig
    */
    constructor(scope: Construct, id: string, config: ActionsRunnerGroupConfig);
    get allowsPublicRepositories(): cdktf.IResolvable;
    get default(): cdktf.IResolvable;
    get etag(): string;
    get id(): string;
    get inherited(): cdktf.IResolvable;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get runnersUrl(): string;
    get selectedRepositoriesUrl(): string;
    private _selectedRepositoryIds?;
    get selectedRepositoryIds(): number[];
    set selectedRepositoryIds(value: number[]);
    resetSelectedRepositoryIds(): void;
    get selectedRepositoryIdsInput(): number[] | undefined;
    private _visibility?;
    get visibility(): string;
    set visibility(value: string);
    get visibilityInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=actions-runner-group.d.ts.map