import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppInstallationRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/app_installation_repository#installation_id AppInstallationRepository#installation_id}
    */
    readonly installationId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/app_installation_repository#repository AppInstallationRepository#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/app_installation_repository github_app_installation_repository}
*/
export declare class AppInstallationRepository extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_app_installation_repository";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/app_installation_repository github_app_installation_repository} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AppInstallationRepositoryConfig
    */
    constructor(scope: Construct, id: string, config: AppInstallationRepositoryConfig);
    get id(): string;
    private _installationId?;
    get installationId(): string;
    set installationId(value: string);
    get installationIdInput(): string | undefined;
    get repoId(): number;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=app-installation-repository.d.ts.map