import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubActionsPublicKeyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/actions_public_key#repository DataGithubActionsPublicKey#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/actions_public_key github_actions_public_key}
*/
export declare class DataGithubActionsPublicKey extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_actions_public_key";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/actions_public_key github_actions_public_key} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubActionsPublicKeyConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubActionsPublicKeyConfig);
    get id(): string;
    get key(): string;
    get keyId(): string;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-actions-public-key.d.ts.map