import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubBranchConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/branch#branch DataGithubBranch#branch}
    */
    readonly branch: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/branch#repository DataGithubBranch#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/branch github_branch}
*/
export declare class DataGithubBranch extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_branch";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/branch github_branch} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubBranchConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubBranchConfig);
    private _branch?;
    get branch(): string;
    set branch(value: string);
    get branchInput(): string | undefined;
    get etag(): string;
    get id(): string;
    get ref(): string;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    get sha(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-branch.d.ts.map