import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubOrganizationTeamsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/organization_teams#root_teams_only DataGithubOrganizationTeams#root_teams_only}
    */
    readonly rootTeamsOnly?: boolean | cdktf.IResolvable;
}
export interface DataGithubOrganizationTeamsTeams {
}
export declare function dataGithubOrganizationTeamsTeamsToTerraform(struct?: DataGithubOrganizationTeamsTeams): any;
export declare class DataGithubOrganizationTeamsTeamsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGithubOrganizationTeamsTeams | undefined;
    set internalValue(value: DataGithubOrganizationTeamsTeams | undefined);
    get description(): string;
    get id(): number;
    get members(): string[];
    get name(): string;
    get nodeId(): string;
    get privacy(): string;
    get repositories(): string[];
    get slug(): string;
}
export declare class DataGithubOrganizationTeamsTeamsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGithubOrganizationTeamsTeamsOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/organization_teams github_organization_teams}
*/
export declare class DataGithubOrganizationTeams extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_organization_teams";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/organization_teams github_organization_teams} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubOrganizationTeamsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamsConfig);
    get id(): string;
    private _rootTeamsOnly?;
    get rootTeamsOnly(): boolean | cdktf.IResolvable;
    set rootTeamsOnly(value: boolean | cdktf.IResolvable);
    resetRootTeamsOnly(): void;
    get rootTeamsOnlyInput(): boolean | cdktf.IResolvable | undefined;
    private _teams;
    get teams(): DataGithubOrganizationTeamsTeamsList;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-organization-teams.d.ts.map