import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubOrganizationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/organization#name DataGithubOrganization#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/organization github_organization}
*/
export declare class DataGithubOrganization extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_organization";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/organization github_organization} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubOrganizationConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubOrganizationConfig);
    get description(): string;
    get id(): string;
    get login(): string;
    get members(): string[];
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get nodeId(): string;
    get orgname(): string;
    get plan(): string;
    get repositories(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-organization.d.ts.map