import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRefConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/ref#ref DataGithubRef#ref}
    */
    readonly ref: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/ref#repository DataGithubRef#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/ref github_ref}
*/
export declare class DataGithubRef extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_ref";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/ref github_ref} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRefConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubRefConfig);
    get etag(): string;
    get id(): string;
    private _ref?;
    get ref(): string;
    set ref(value: string);
    get refInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    get sha(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-ref.d.ts.map