import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubReleaseConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/release#owner DataGithubRelease#owner}
    */
    readonly owner: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/release#release_id DataGithubRelease#release_id}
    */
    readonly releaseId?: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/release#release_tag DataGithubRelease#release_tag}
    */
    readonly releaseTag?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/release#repository DataGithubRelease#repository}
    */
    readonly repository: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/release#retrieve_by DataGithubRelease#retrieve_by}
    */
    readonly retrieveBy: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/release github_release}
*/
export declare class DataGithubRelease extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_release";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/release github_release} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubReleaseConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubReleaseConfig);
    get assertsUrl(): string;
    get body(): string;
    get createdAt(): string;
    get draft(): cdktf.IResolvable;
    get htmlUrl(): string;
    get id(): string;
    get name(): string;
    private _owner?;
    get owner(): string;
    set owner(value: string);
    get ownerInput(): string | undefined;
    get prerelease(): cdktf.IResolvable;
    get publishedAt(): string;
    private _releaseId?;
    get releaseId(): number;
    set releaseId(value: number);
    resetReleaseId(): void;
    get releaseIdInput(): number | undefined;
    private _releaseTag?;
    get releaseTag(): string;
    set releaseTag(value: string);
    resetReleaseTag(): void;
    get releaseTagInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    private _retrieveBy?;
    get retrieveBy(): string;
    set retrieveBy(value: string);
    get retrieveByInput(): string | undefined;
    get tarballUrl(): string;
    get targetCommitish(): string;
    get uploadUrl(): string;
    get url(): string;
    get zipballUrl(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-release.d.ts.map