import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRepositoriesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repositories#query DataGithubRepositories#query}
    */
    readonly query: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repositories#sort DataGithubRepositories#sort}
    */
    readonly sort?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/repositories github_repositories}
*/
export declare class DataGithubRepositories extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_repositories";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/repositories github_repositories} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRepositoriesConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubRepositoriesConfig);
    get fullNames(): string[];
    get id(): string;
    get names(): string[];
    private _query?;
    get query(): string;
    set query(value: string);
    get queryInput(): string | undefined;
    private _sort?;
    get sort(): string;
    set sort(value: string);
    resetSort(): void;
    get sortInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-repositories.d.ts.map