import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRepositoryFileConfig extends cdktf.TerraformMetaArguments {
    /**
    * The branch name, defaults to "main"
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_file#branch DataGithubRepositoryFile#branch}
    */
    readonly branch?: string;
    /**
    * The file path to manage
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_file#file DataGithubRepositoryFile#file}
    */
    readonly file: string;
    /**
    * The repository name
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_file#repository DataGithubRepositoryFile#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/repository_file github_repository_file}
*/
export declare class DataGithubRepositoryFile extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_repository_file";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/repository_file github_repository_file} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRepositoryFileConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubRepositoryFileConfig);
    private _branch?;
    get branch(): string;
    set branch(value: string);
    resetBranch(): void;
    get branchInput(): string | undefined;
    get commitAuthor(): string;
    get commitEmail(): string;
    get commitMessage(): string;
    get commitSha(): string;
    get content(): string;
    private _file?;
    get file(): string;
    set file(value: string);
    get fileInput(): string | undefined;
    get id(): string;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    get sha(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-repository-file.d.ts.map