import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRepositoryPullRequestConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_pull_request#base_repository DataGithubRepositoryPullRequest#base_repository}
    */
    readonly baseRepository: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_pull_request#number DataGithubRepositoryPullRequest#number}
    */
    readonly number: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository_pull_request#owner DataGithubRepositoryPullRequest#owner}
    */
    readonly owner?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/repository_pull_request github_repository_pull_request}
*/
export declare class DataGithubRepositoryPullRequest extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_repository_pull_request";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/repository_pull_request github_repository_pull_request} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRepositoryPullRequestConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubRepositoryPullRequestConfig);
    get baseRef(): string;
    private _baseRepository?;
    get baseRepository(): string;
    set baseRepository(value: string);
    get baseRepositoryInput(): string | undefined;
    get baseSha(): string;
    get body(): string;
    get draft(): cdktf.IResolvable;
    get headOwner(): string;
    get headRef(): string;
    get headRepository(): string;
    get headSha(): string;
    get id(): string;
    get labels(): string[];
    get maintainerCanModify(): cdktf.IResolvable;
    private _number?;
    get number(): number;
    set number(value: number);
    get numberInput(): number | undefined;
    get openedAt(): number;
    get openedBy(): string;
    private _owner?;
    get owner(): string;
    set owner(value: string);
    resetOwner(): void;
    get ownerInput(): string | undefined;
    get state(): string;
    get title(): string;
    get updatedAt(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-repository-pull-request.d.ts.map