import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#description DataGithubRepository#description}
    */
    readonly description?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#full_name DataGithubRepository#full_name}
    */
    readonly fullName?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#homepage_url DataGithubRepository#homepage_url}
    */
    readonly homepageUrl?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#name DataGithubRepository#name}
    */
    readonly name?: string;
}
export interface DataGithubRepositoryBranches {
}
export declare function dataGithubRepositoryBranchesToTerraform(struct?: DataGithubRepositoryBranches): any;
export declare class DataGithubRepositoryBranchesOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGithubRepositoryBranches | undefined;
    set internalValue(value: DataGithubRepositoryBranches | undefined);
    get name(): string;
    get protected(): cdktf.IResolvable;
}
export declare class DataGithubRepositoryBranchesList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGithubRepositoryBranchesOutputReference;
}
export interface DataGithubRepositoryPagesSource {
}
export declare function dataGithubRepositoryPagesSourceToTerraform(struct?: DataGithubRepositoryPagesSource): any;
export declare class DataGithubRepositoryPagesSourceOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGithubRepositoryPagesSource | undefined;
    set internalValue(value: DataGithubRepositoryPagesSource | undefined);
    get branch(): string;
    get path(): string;
}
export declare class DataGithubRepositoryPagesSourceList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGithubRepositoryPagesSourceOutputReference;
}
export interface DataGithubRepositoryPages {
}
export declare function dataGithubRepositoryPagesToTerraform(struct?: DataGithubRepositoryPages): any;
export declare class DataGithubRepositoryPagesOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGithubRepositoryPages | undefined;
    set internalValue(value: DataGithubRepositoryPages | undefined);
    get cname(): string;
    get custom404(): cdktf.IResolvable;
    get htmlUrl(): string;
    private _source;
    get source(): DataGithubRepositoryPagesSourceList;
    get status(): string;
    get url(): string;
}
export declare class DataGithubRepositoryPagesList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGithubRepositoryPagesOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/repository github_repository}
*/
export declare class DataGithubRepository extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_repository";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/repository github_repository} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRepositoryConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubRepositoryConfig);
    get allowAutoMerge(): cdktf.IResolvable;
    get allowMergeCommit(): cdktf.IResolvable;
    get allowRebaseMerge(): cdktf.IResolvable;
    get allowSquashMerge(): cdktf.IResolvable;
    get archived(): cdktf.IResolvable;
    private _branches;
    get branches(): DataGithubRepositoryBranchesList;
    get defaultBranch(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _fullName?;
    get fullName(): string;
    set fullName(value: string);
    resetFullName(): void;
    get fullNameInput(): string | undefined;
    get gitCloneUrl(): string;
    get hasDownloads(): cdktf.IResolvable;
    get hasIssues(): cdktf.IResolvable;
    get hasProjects(): cdktf.IResolvable;
    get hasWiki(): cdktf.IResolvable;
    private _homepageUrl?;
    get homepageUrl(): string;
    set homepageUrl(value: string);
    resetHomepageUrl(): void;
    get homepageUrlInput(): string | undefined;
    get htmlUrl(): string;
    get httpCloneUrl(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get nodeId(): string;
    private _pages;
    get pages(): DataGithubRepositoryPagesList;
    get private(): cdktf.IResolvable;
    get repoId(): number;
    get sshCloneUrl(): string;
    get svnUrl(): string;
    get topics(): string[];
    get visibility(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-repository.d.ts.map