import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubTeamConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/team#slug DataGithubTeam#slug}
    */
    readonly slug: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/team github_team}
*/
export declare class DataGithubTeam extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_team";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/team github_team} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubTeamConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubTeamConfig);
    get description(): string;
    get id(): string;
    get members(): string[];
    get name(): string;
    get nodeId(): string;
    get permission(): string;
    get privacy(): string;
    get repositories(): string[];
    private _slug?;
    get slug(): string;
    set slug(value: string);
    get slugInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-team.d.ts.map