import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubUsersConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/users#usernames DataGithubUsers#usernames}
    */
    readonly usernames: string[];
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/users github_users}
*/
export declare class DataGithubUsers extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_users";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/users github_users} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubUsersConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubUsersConfig);
    get id(): string;
    get logins(): string[];
    get nodeIds(): string[];
    get unknownLogins(): string[];
    private _usernames?;
    get usernames(): string[];
    set usernames(value: string[]);
    get usernamesInput(): string[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-users.d.ts.map