import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IssueConfig extends cdktf.TerraformMetaArguments {
    /**
    * List of Logins for Users to assign to this issue
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#assignees Issue#assignees}
    */
    readonly assignees?: string[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#body Issue#body}
    */
    readonly body?: string;
    /**
    * List of names of labels on the issue
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#labels Issue#labels}
    */
    readonly labels?: string[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#milestone_number Issue#milestone_number}
    */
    readonly milestoneNumber?: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#repository Issue#repository}
    */
    readonly repository: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/issue#title Issue#title}
    */
    readonly title: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/issue github_issue}
*/
export declare class Issue extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_issue";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/issue github_issue} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options IssueConfig
    */
    constructor(scope: Construct, id: string, config: IssueConfig);
    private _assignees?;
    get assignees(): string[];
    set assignees(value: string[]);
    resetAssignees(): void;
    get assigneesInput(): string[] | undefined;
    private _body?;
    get body(): string;
    set body(value: string);
    resetBody(): void;
    get bodyInput(): string | undefined;
    get etag(): string;
    get id(): string;
    get issueId(): number;
    private _labels?;
    get labels(): string[];
    set labels(value: string[]);
    resetLabels(): void;
    get labelsInput(): string[] | undefined;
    private _milestoneNumber?;
    get milestoneNumber(): number;
    set milestoneNumber(value: number);
    resetMilestoneNumber(): void;
    get milestoneNumberInput(): number | undefined;
    get number(): number;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    private _title?;
    get title(): string;
    set title(value: string);
    get titleInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=issue.d.ts.map