import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface OrganizationBlockConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/organization_block#username OrganizationBlock#username}
    */
    readonly username: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/organization_block github_organization_block}
*/
export declare class OrganizationBlock extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_organization_block";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/organization_block github_organization_block} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options OrganizationBlockConfig
    */
    constructor(scope: Construct, id: string, config: OrganizationBlockConfig);
    get etag(): string;
    get id(): string;
    private _username?;
    get username(): string;
    set username(value: string);
    get usernameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=organization-block.d.ts.map