import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface OrganizationProjectConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/organization_project#body OrganizationProject#body}
    */
    readonly body?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/organization_project#name OrganizationProject#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/organization_project github_organization_project}
*/
export declare class OrganizationProject extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_organization_project";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/organization_project github_organization_project} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options OrganizationProjectConfig
    */
    constructor(scope: Construct, id: string, config: OrganizationProjectConfig);
    private _body?;
    get body(): string;
    set body(value: string);
    resetBody(): void;
    get bodyInput(): string | undefined;
    get etag(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get url(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=organization-project.d.ts.map