import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ProjectColumnConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/project_column#name ProjectColumn#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/project_column#project_id ProjectColumn#project_id}
    */
    readonly projectId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/project_column github_project_column}
*/
export declare class ProjectColumn extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_project_column";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/project_column github_project_column} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ProjectColumnConfig
    */
    constructor(scope: Construct, id: string, config: ProjectColumnConfig);
    get columnId(): number;
    get etag(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _projectId?;
    get projectId(): string;
    set projectId(value: string);
    get projectIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=project-column.d.ts.map