import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RepositoryAutolinkReferenceConfig extends cdktf.TerraformMetaArguments {
    /**
    * This prefix appended by a number will generate a link any time it is found in an issue, pull request, or commit
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/repository_autolink_reference#key_prefix RepositoryAutolinkReference#key_prefix}
    */
    readonly keyPrefix: string;
    /**
    * The repository name
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/repository_autolink_reference#repository RepositoryAutolinkReference#repository}
    */
    readonly repository: string;
    /**
    * The template of the target URL used for the links; must be a valid URL and contain `<num>` for the reference number
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/repository_autolink_reference#target_url_template RepositoryAutolinkReference#target_url_template}
    */
    readonly targetUrlTemplate: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/repository_autolink_reference github_repository_autolink_reference}
*/
export declare class RepositoryAutolinkReference extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_repository_autolink_reference";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/repository_autolink_reference github_repository_autolink_reference} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options RepositoryAutolinkReferenceConfig
    */
    constructor(scope: Construct, id: string, config: RepositoryAutolinkReferenceConfig);
    get etag(): string;
    get id(): string;
    private _keyPrefix?;
    get keyPrefix(): string;
    set keyPrefix(value: string);
    get keyPrefixInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    private _targetUrlTemplate?;
    get targetUrlTemplate(): string;
    set targetUrlTemplate(value: string);
    get targetUrlTemplateInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=repository-autolink-reference.d.ts.map