import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TeamMembersConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#team_id TeamMembers#team_id}
    */
    readonly teamId: string;
    /**
    * members block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#members TeamMembers#members}
    */
    readonly members: TeamMembersMembers[] | cdktf.IResolvable;
}
export interface TeamMembersMembers {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#role TeamMembers#role}
    */
    readonly role?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#username TeamMembers#username}
    */
    readonly username: string;
}
export declare function teamMembersMembersToTerraform(struct?: TeamMembersMembers | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/team_members github_team_members}
*/
export declare class TeamMembers extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_team_members";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/team_members github_team_members} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TeamMembersConfig
    */
    constructor(scope: Construct, id: string, config: TeamMembersConfig);
    get etag(): string;
    get id(): string;
    private _teamId?;
    get teamId(): string;
    set teamId(value: string);
    get teamIdInput(): string | undefined;
    private _members?;
    get members(): TeamMembersMembers[] | cdktf.IResolvable;
    set members(value: TeamMembersMembers[] | cdktf.IResolvable);
    get membersInput(): cdktf.IResolvable | TeamMembersMembers[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=team-members.d.ts.map