import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TeamRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_repository#permission TeamRepository#permission}
    */
    readonly permission?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_repository#repository TeamRepository#repository}
    */
    readonly repository: string;
    /**
    * ID or slug of team
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_repository#team_id TeamRepository#team_id}
    */
    readonly teamId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/team_repository github_team_repository}
*/
export declare class TeamRepository extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_team_repository";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/team_repository github_team_repository} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TeamRepositoryConfig
    */
    constructor(scope: Construct, id: string, config: TeamRepositoryConfig);
    get etag(): string;
    get id(): string;
    private _permission?;
    get permission(): string;
    set permission(value: string);
    resetPermission(): void;
    get permissionInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    private _teamId?;
    get teamId(): string;
    set teamId(value: string);
    get teamIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=team-repository.d.ts.map