import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TeamSyncGroupMappingConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping#team_slug TeamSyncGroupMapping#team_slug}
    */
    readonly teamSlug: string;
    /**
    * group block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping#group TeamSyncGroupMapping#group}
    */
    readonly group?: TeamSyncGroupMappingGroup[] | cdktf.IResolvable;
}
export interface TeamSyncGroupMappingGroup {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping#group_description TeamSyncGroupMapping#group_description}
    */
    readonly groupDescription: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping#group_id TeamSyncGroupMapping#group_id}
    */
    readonly groupId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping#group_name TeamSyncGroupMapping#group_name}
    */
    readonly groupName: string;
}
export declare function teamSyncGroupMappingGroupToTerraform(struct?: TeamSyncGroupMappingGroup | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping github_team_sync_group_mapping}
*/
export declare class TeamSyncGroupMapping extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_team_sync_group_mapping";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/team_sync_group_mapping github_team_sync_group_mapping} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TeamSyncGroupMappingConfig
    */
    constructor(scope: Construct, id: string, config: TeamSyncGroupMappingConfig);
    get etag(): string;
    get id(): string;
    private _teamSlug?;
    get teamSlug(): string;
    set teamSlug(value: string);
    get teamSlugInput(): string | undefined;
    private _group?;
    get group(): TeamSyncGroupMappingGroup[] | cdktf.IResolvable;
    set group(value: TeamSyncGroupMappingGroup[] | cdktf.IResolvable);
    resetGroup(): void;
    get groupInput(): cdktf.IResolvable | TeamSyncGroupMappingGroup[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=team-sync-group-mapping.d.ts.map