import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface UserGpgKeyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/user_gpg_key#armored_public_key UserGpgKey#armored_public_key}
    */
    readonly armoredPublicKey: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/user_gpg_key github_user_gpg_key}
*/
export declare class UserGpgKey extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_user_gpg_key";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/user_gpg_key github_user_gpg_key} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options UserGpgKeyConfig
    */
    constructor(scope: Construct, id: string, config: UserGpgKeyConfig);
    private _armoredPublicKey?;
    get armoredPublicKey(): string;
    set armoredPublicKey(value: string);
    get armoredPublicKeyInput(): string | undefined;
    get etag(): string;
    get id(): string;
    get keyId(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=user-gpg-key.d.ts.map