import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface UserInvitationAccepterConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/user_invitation_accepter#invitation_id UserInvitationAccepter#invitation_id}
    */
    readonly invitationId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/user_invitation_accepter github_user_invitation_accepter}
*/
export declare class UserInvitationAccepter extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_user_invitation_accepter";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/user_invitation_accepter github_user_invitation_accepter} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options UserInvitationAccepterConfig
    */
    constructor(scope: Construct, id: string, config: UserInvitationAccepterConfig);
    get id(): string;
    private _invitationId?;
    get invitationId(): string;
    set invitationId(value: string);
    get invitationIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=user-invitation-accepter.d.ts.map